### Function Macro

# GLib dataset_set_data_full

since: 2.0

#### Declaration

    #define g_dataset_set_data_full (
      l,
      k,
      d,
      f
    )

#### Description

Sets the data corresponding to the given string identifier, and the function to call when the data element is destroyed.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`l`

  Type: `-`

  The location identifying the dataset.

`k`

  Type: `-`

  The string to identify the data element.

`d`

  Type: `-`

  The data element.

`f`

  Type: `-`

  The function to call when the data element is removed. This function will be called with the data element and can be used to free any memory allocated for it.